Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057999 - PRD34 - [RFE] qemu-ga installed by default on Linux Guests with ovirt-guest-agent
Summary: PRD34 - [RFE] qemu-ga installed by default on Linux Guests with ovirt-guest-a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Jiri Belka
URL:
Whiteboard: virt
Depends On: 1055524
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-26 11:45 UTC by Itamar Heim
Modified: 2014-09-18 12:24 UTC (History)
11 users (show)

Fixed In Version: rhevm-guest-agent-1.0.8-8.el6_5
Doc Type: Enhancement
Doc Text:
To support freezing and thawing the file systems, qemu-guest-agent is now installed by default on Linux guests with ovirt-guest-agent.
Clone Of: 1055524
Environment:
Last Closed: 2014-06-09 13:30:58 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Proposed patch to depend on the qemu guest agent (deleted)
2014-02-04 08:45 UTC, Vinzenz Feenstra [evilissimo]
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0655 normal SHIPPED_LIVE ovirt-guest-agent bug fix and enhancement update 2014-06-09 17:21:42 UTC
oVirt gerrit 23443 None None None Never

Description Itamar Heim 2014-01-26 11:45:36 UTC
+++ This bug was initially created as a clone of Bug #1055524 +++

In order to support https://bugzilla.redhat.com/show_bug.cgi?id=1054231 we need to add the qemu-guest-agent by default to support freezing and thawing the filesystems.

The guest agent will implement a dependency on the package so it is installed when the ovirt-guest-agent is installed.

--- Additional comment from Vinzenz Feenstra [evilissimo] on 2014-01-20 09:30:05 EST ---

Merged to u/s master as http://gerrit.ovirt.org/gitweb?p=ovirt-guest-agent.git;a=commit;h=52b97cfbd5f1a4378b0be168ffd8293e29f99f46

--- Additional comment from Sandro Bonazzola on 2014-01-23 03:54:39 EST ---

Verified using http://evilissimo.fedorapeople.org/repos/ovirt-guest-agent/ovirt-3.4/beta1/
on CentOS 6.5, Fedora 19 and Fedora 20.

Comment 1 Vinzenz Feenstra [evilissimo] 2014-02-04 08:45:11 UTC
Created attachment 858954 [details]
Proposed patch to depend on the qemu guest agent

Comment 3 Jiri Belka 2014-02-06 13:49:21 UTC
Does it mean RH will improve QGA so it can do some usable things or we will have just more guest agents? :)

In QGA source there's many 'unsupported' comments for features right now.

Comment 5 Jiri Belka 2014-02-12 13:58:27 UTC
ok

...
Installed:
  rhevm-guest-agent-common.noarch 0:1.0.8-8.el6_5                                                                                                
Dependency Installed:
  qemu-guest-agent.x86_64 2:0.12.1.2-2.415.el6_5.3

Comment 6 errata-xmlrpc 2014-06-09 13:30:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0655.html


Note You need to log in before you can comment on or make changes to this bug.